Skip to content

Changelog exo (0.12.11-1ubuntu1)

2020

exo (0.12.11-1ubuntu1) focal; urgency=medium

   * d/rules: Update sed rule to replace all occurrences, not just the first.

2019

exo (0.12.11-1) unstable; urgency=medium

   [ Unit 193 ]
   * d/watch: Update for upstream's move to mirrorbit.
 
   [ Yves-Alexis Perez ]
   * d/control: update standards version to 4.4.1
   * New upstream version 0.12.11
   * d/control: update dh compat level to 12
   * d/control: bump gtk3 b-dep to 3.22

exo (0.12.8-1) unstable; urgency=medium

   * New upstream version 0.12.8
   * d/rules: enable gtk-doc, fix building twice in a row

exo (0.12.6-1) unstable; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream version 0.12.6
 
   [ Yves-Alexis Perez ]
   * d/control: update standards version to 4.4.0

exo (0.12.5-1) experimental; urgency=medium

   * New upstream version 0.12.5
   * d/patches: rebase against new upstream version
   * move exo-helper from libexo-1 to libexo-2
   * d/libexo-helpers: drop version number from exo-compose-email
   * move pixmaps to libexo-common
   * d/rules: update exo-compose-mail name in sed rule

exo (0.12.4-1) unstable; urgency=medium

   * New upstream version 0.12.4

2018

exo (0.12.3-1) unstable; urgency=medium

   * New upstream version 0.12.2
   * New upstream version 0.12.3
   * d/control: update standards version to 4.3.0
   * d/control: use HTTPS protocol for homepage field
   * d/control: drop versioned build-dep satisfied in oldstable

exo (0.12.2-2) unstable; urgency=medium

   * drop chrpath calls, not needed anymore
   * d/control: suggests sensible-utils
   * add patch to use /u/b/perl directly as interpreter for exo-compose-mail-1
   * d/control: drop obsolete Breaks/Replaces
   * move exo-compose-mail to arch:all libexo-helpers package
   * d/control: drop Lionel Le Folgoc from uploaders, thanks to him
   * switch to compat 10
   * d/control: update standards version 4.2.1
   * d/libexo-2-0.lintian-overrides added, ignore fortify warning
   * d/watch: use https protocol

exo (0.12.2-1) unstable; urgency=medium

   * add gbp.conf following DEP-14
   * New upstream version 0.12.2

exo (0.12.1-1) unstable; urgency=medium

   * d/control: actually update the maintainer.                  closes: #899773
   * New upstream version 0.12.1
   * update locally generated manpages

exo (0.12.0-1) unstable; urgency=medium

   * Moved the package to salsa.debian.org
   * New upstream version 0.12.0
   * Upload to unstable

2017

exo (0.11.5-1) experimental; urgency=medium

   [ Unit 193 ]
   * New upstream development release.
     - exo-helper: Use full custom command path (Xfce #4093)     closes: #481277
   * d/libexo-1-0.symbols, d/libexo-2-0.symbols:
     - Add new symbols.
   * d/rules:
     - Use dh_missing instead of dh_install --fail-missing.
 
   [ Yves-Alexis Perez ]
   * Refresh debian/exo-desktop-item-edit.1 and
     debian/exo-preferred-applications.1, drop texinfo mention.  closes: #867956

exo (0.11.3-1) experimental; urgency=medium

   * New upstream development release.
   * Run wrap-and-sort.
   * debian/control:
     - update standards version to 4.0.0
     - update libgtk-3-dev build-dep to 3.20
     - update libglib2.0-dev build-dep to 2.42

2016

exo (0.11.2-1) experimental; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream release.
   * debian/control:
     - Drop duplicate section fields.
     - Drop -dbg packages.
     - Use secured links for VCS browser.
     - Add libexo-common to libexo-helpers depends and set arch to all.
     - Update long description for all packages.
   * debian/copyright: Fix license path.

exo (0.11.1-1) experimental; urgency=medium

   * New upstream development release.
   * debian/control:
     - update build-deps for new development release: add build-dep on
       libgtk2.0-dev and libgtk-3-dev
     - update standards version to 3.9.8.
     - introduce new binary packages for exo-2.
   * debian/rules:
     - enable GTK-3 build.
     - migrate to dbgsym packages.
   * debian/libexo-1-0.symbols updated for new release.
   * debian/libexo-2-0.symbols added for new exo-2 library.

exo (0.10.7-2) UNRELEASED; urgency=medium

   * Moved the package to git on salsa.debian.org
   * Updated the maintainer address to debian-xfce@lists.debian.org

2015

exo (0.10.7-1) unstable; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream release.

exo (0.10.6-1) unstable; urgency=medium

   * New upstream release.
   * debian/patches:
     - 01_file-manager-inode-directory dropped, included upstream.

exo (0.10.4-2) unstable; urgency=medium

   * Upload to unstable.

exo (0.10.4-1) experimental; urgency=medium

   [ Jackson Doak ]
   * New upstream release

exo (0.10.3-1) experimental; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream release.
   * Remove patches included upstream:
     - 0001-Fix-exo_str_looks_like_an_uri-bug-10098.patch
     - 02_exo-compose-mail_add-support-for-bcc.patch
     - 03_html-with-spaces.patch
   * Bump standards-version to 3.9.6
   * Rename 04_file-manager-inode-directory.patch to
     04_file-manager-inode-directory.patch.
 
   [ Yves-Alexis Perez ]
   * debian/rules:
     - actually call dh-autoreconf.

2014

exo (0.10.2-4) unstable; urgency=medium

   [ Yves-Alexis Perez ]
   * debian/patches:
     - 02_exo-compose-mail_add-support-for-bcc added, add support for BCC field
       in exo-compose-mail.                                      closes: #748162
   * debian/control:
     - update -dbg packages short description to fix spelling error.
     - tune libexo-helpers synopsis.
 
   [ Jackson Doak ]
   * debian/control: Build-depend on dh-autoreconf
   * debian/rules: Use autoreconf to update config.{guess,sub} and fix FTBFS on
     ppc64el.                                                    closes: #756014
   * debian/patches:
     - Add 03_html-with-spaces.patch. Makes html links worth with spaces.
     - Add 04_file-manager-inode-directory.patch. Don't always show file manager
       in 'Open with' in some DEs.

exo (0.10.2-3) unstable; urgency=low

   [ Evgeni Golov ]
   * Correct Vcs-* URLs to point to anonscm.debian.org
 
   [ Jackson Doak ]
   * Bump standards-version to 3.9.4
   * debian/rules: Use --disable-silent-rules
   * debian/copyright: Use GFDL-1.1 instead on GFDL
 
   [ Yves-Alexis Perez ]
   * debian/patches:
     - 0001-Fix-exo_str_looks_like_an_uri-bug-10098 added, cherry-picked from
       git master. Fix detection of uri schemes without / like magnet:,
       mailto: or sip: uris.                            closes: #740684, #720377
   * debian/control:
     - update standards version to 3.9.5.

2013

exo (0.10.2-2) unstable; urgency=low

   * Upload to unstable.
   * debian/rules:
     - enable all hardening flags

2012

exo (0.10.2-1) experimental; urgency=low

   * New upstream stable release.

exo (0.10.1-1) experimental; urgency=low

   * New upstream stable release.
   * debian/libexo-1-0.symbols updated for new release.
   * debian/control: bumped minimum required glib version to 2.30.

exo (0.8.0-1) experimental; urgency=low

   * New upstream stable release.
   * debian/control: revert to unversioned libxfce4util-dev, bump required
     versions for Xfce 4.10.

exo (0.7.3-1) experimental; urgency=low

   * New upstream development release.
   * debian/rules:
     - don't run xdt-autogen, we dropped the patches that required it.
     - drop obsolete --disable-python configure flag.

exo (0.7.2-1) experimental; urgency=low

   [ Lionel Le Folgoc ]
   * New upstream development release.
   * debian/patches:
     - 01_fix-link-lm.patch, 02_fix-glib-link-test.patch: dropped, included
       upstream.
   * debian/libexo-1-dev.install: drop *.a files, not built anymore.
   * debian/control: bump libxfce4ui-1-dev b-dep to >= 4.9.0 for the new help
     buttons.
   * debian/libexo-common.install: updated, docs aren't shipped anymore.
   * debian/libexo-1-0.symbols: updated for the new symbols.
   * debian/rules: drop --sourcedir from dh_install, unneeded, and pass -X .la
     to ignore .la files instead of deleting them manually.
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - update libxfce4util (build-)dep to libxfce4util6-dev.
     - update standards version to 3.9.3.
     - update debhelper build-dep to 9.
     - add build-dep on dpkg-dev 1.16.1.
     - drop build-dep on hardening-includes.
     - make libexo-helpers Multi-Arch: foreign.
   * debian/compat bumped to 9.
   * debian/rules:
     - use debhelper 9 and dpkg-dev 1.16.1 hardening support.
     - build with --parallel.

exo (0.6.2-5) unstable; urgency=low

   * debian/patches:
     - add DEP3 headers to patches.
   * debian/rules:
     - force endianness in msgfmt so all arches have the same file contents.
                                                                 closes: #669994
     - build with --parallel.
   * debian/control:
     - mark -helpers package as Multi-Arch: same.
     - update standards version to 3.9.3.

exo (0.6.2-4) unstable; urgency=low

   [ Lionel Le Folgoc ]
   * Use maintscript support in dh_installdeb rather than writing out
     dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
     new enough version of dpkg rather than using 'dpkg-maintscript-helper
     supports' guards, leading to more predictable behaviour on upgrades.
     Thanks Colin Watson for the patch.                          Closes: #659901
 
   [ Yves-Alexis Perez ]
   * debian/rules:
     - use debhelper 9 hardening support.
   * debian/control:
     - update debhelper build-dep to 9.
     - drop build-dep on hardening-includes.
     - add build-dep on dpkg-dev 1.16.1 for hardening support.

2011

exo (0.6.2-3) unstable; urgency=low

   [ Yves-Alexis Perez ]
   * debian/NEW: fix typo, thanks to Cyril Brulebois.
 
   [ Lionel Le Folgoc ]
   * Split exo helpers into their own package libexo-helpers, as some of them
     use architecture dependent paths.                           closes: #645420
   * debian/control: drop spurious priority of libexo-common.

exo (0.6.2-2) unstable; urgency=low

   * Include patch from Steve Langasek to make exo multi-arch ready, thanks to
     him!                                                        closes: #632486
   * debian/patches:
     - 01_fix-link-lm added, explicit link against lm.           closes: #640435
     - 02_fix-glib-link-test added, add missing GLIB_LIBS in tests Makefile.am.
   * debian/control:
     - add build-dep on xfce4-dev-tools, libtool and gtk-doc-tools.
   * debian/rules:
     - run xdt-autogen before configure.
   * debian/NEWS added to warn about helpers move.

exo (0.6.2-1) unstable; urgency=low

   * New upstream bugfix release.

exo (0.6.1-1) unstable; urgency=low

   * New upstream bugfix release.
   * debian/libexo-common.preinst:
     - handle replacement of symlinks by directory for el and sv doc images.

exo (0.6.0-3) unstable; urgency=low

   * Upload to unstable.
   * debian/control:
     - bump debhelper build-dep to 7.2.7 for --remaining-packages.
     - remove Emanuele, Simon and Michael from uploaders, thanks to them.
     - update standards version to 3.9.2.

exo (0.6.0-2) experimental; urgency=low

   * debian/control:
     - update build-dependencies to Xfce 4.8.                    closes: #612395
     - add debhelper 8.1.0 build-conflicts since we use --remaining-packages in
       an override target.

exo (0.6.0-1) experimental; urgency=low

   [ Yves-Alexis Perez ]
   * New upstream release.
     - this releases doesn't use HAL anymore.                    closes: #604793
   * debian/rules:
     - adapt rules to changed soname.
     - get *FLAGS from dpkg-buildflags.
     - don't pass libexecdir, not used anymore
     - correct exo-helper path in chrpath call
     - add hardening flags to {C,LD}FLAGS
   * debian/control:
     - change binary packages name to match updated soname.
     - use proper relation in conflict.
     - drop build-dep on libxfcegui4, add one on libxfce4ui.
     - add build-dep on libxfce4util-dev.
     - add dep on ${misc:Depends} for libexo-1-dev.
     - update standards version to 3.9.1.
     - add build-dep on hardening-includes
     - build-dep on experimental glib since we don't install the GIO module
       anymore.
     - bump debhelper build-dep to 7.2.7 for --remaining-packages.
   * debian/libexo-common.{preinst,postinst,prerm}:
     - use dpkg-maintscript-helper to remove /etc/xdg/xfce4/mount.rc.
   * debian/libexo-0-1.install:
     - update helpers path
 
   [ Lionel Le Folgoc ]
   * debian/exo-utils.manpages: added.
   * debian/control:
     - drop liburi-perl from Depends to Recommends. It's only needed for the
       mail composition script for mailto:// hyperlinks, which is not a strictly
       required feature, and allows small projects to get rid of Perl
     - exo-utils breaks some versions of panel plugins that rely on exo-mount
       (xfce4-volstatus-icon and xfce4-cddrive-plugin, only in ubuntu)
     - drop some trailing spaces.
   * debian/rules:
     - switch to rules.tiny + overrides
   * debian/compat: bump to 7.
   * debian/README.*: dropped, contain outdated info.
   * Hal support removed upstream:
     - debian/control:
       + drop hal (and eject) build and binary dependencies (use GIO instead)
       + drop libnotify-dev build-dep, exo-mount-notify has been dropped upstream
       + drop references to exo-mount, exo-unmount, exo-eject and mountrc from
         long descriptions
     - debian/exo-{eject,mount,unmount}.1: dropped
     - debian/exo-utils.manpages: refreshed
     - debian/libexo-1-0.shlibs: dropped libexo-hal
     - debian/rules:
       + do not pass --enable-notifications, does not exist anymore
       + drop remaining references to exo-hal
     - debian/libexo-common.preinst: added to delete obsolete mount.rc conffile.
   * debian/patches:
     - 01_fix-treeview-gtk2.20.patch: dropped, included upstream
     - series: dropped, no patch left.
   * debian/libexo-common.install: ship usr/share/doc/exo/html as well.
   * debian/libexo-1-0.symbols: added.
   * debian/libexo-1-0.shlibs: dropped.
   * debian/copyright: refreshed.
   * Bugs fixed by 0.5.x/0.6.x series:
     - FTBFS with binutils-gold                                  Closes: #554276

2010

exo (0.3.106-2) unstable; urgency=low

   [ Lionel Le Folgoc ]
   * debian/control: fix typos in exo-utils-dbg and libexo-common long descs.
   * debian/patches:
     - 01_fix-treeview-gtk2.20.patch: make the treeview work again with gtk 2.20
       (Xfce #6230, lp: #520118, closes: #576706).
     - series: add this patch.
   * debian/control:
     - add myself to Uploaders.
 
   [Stefan Ott]
   * debian/watch edited to track Xfce archive reorganisation.
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - update standards version to 3.8.4.
     - add ${misc:Depends} to Depends.
     - update conflicts relation forms.
   * switch format to 3.0 (quilt).

2009

exo (0.3.106-1) unstable; urgency=low

   * New upstream release.
   * debian/control:
     - fix typo in -dbg long description.                        closes: #557529
     - drop build-dep on quilt.
     - update Homepage url to point to xfce.org.
   * debian/patches:
     - 01_mount-async dropped, merged upstream.
   * debian/rules:
     - drop quilt rules.

exo (0.3.105-3) unstable; urgency=low

   * debian/control:
     - add an exo-utils-dbg package containing debug symbols for the exo-utils
       binaries.
   * debian/rules:
     - use variables for library name, soversion and version.

exo (0.3.105-2) unstable; urgency=low

   * debian/control:
     - add build-dep on quilt
   * debian/rules:
     - call {,un}patch targets when needed, include quilt rules.
   * debian/patches:
     - 01_mount-async added, don't mount all volumes with sync.

exo (0.3.105-1) unstable; urgency=low

   * New upstream release.
   * add a new libexo-common packages containing mount options file,
     documentation, helper files.
   * debian/rules:
     - simplify rules file.
   * debian/patches:
     - 01_fix-exo-csource-manpage dropped, upstream manpage fixed.
     - 02_fix-exo-open-manpage as well.
   * debian/control:
     - drop quilt build-dep.

exo (0.3.104-2) unstable; urgency=low

   * debian/patches really refreshed, to avoid re-introducing fixed bugs.

exo (0.3.104-1) unstable; urgency=low

   * New upstream release
     - fix device eject in some cases.                           closes: #469425
     - fix typo in exo-open.1.                                   closes: #525259
   * debian/patches:
     - 01_fix-exo-csource-manpage refreshd.
     - 02_fix-exo-open-manpage refreshd.

exo (0.3.103-1) unstable; urgency=low

   * New upstream release.
     - support iocharset mount option.                           closes: #470412
   * debian/patches:
     - 01_fix-exo-csource-manpage updated.
     - 02_fix-exo-open-manpage updated.

exo (0.3.102-1) unstable; urgency=low

   * New upstream release.
   * debian/patches:
     - 01_exo-open-ignore-unknown-options dropped, included upstream.
     - 02_exo-open-fix-quotes-in-url dropped, included upstream.
     - 01_fix-exo-csource-manpage added, fix manpage for exo-open.
     - 02_fix-exo-open-manpage added, same thing for exo-open.

exo (0.3.101-4) unstable; urgency=low

   * Brown paper bag: add 02_exo-open-fix-quotes-in-url to patch series.

exo (0.3.101-3) unstable; urgency=low

   * debian/patches
     - 02_exo-open-fix-quotes-in-url added, fix opening url with quotes in
       them. (Xfce [f578ac2], #5461).                   closes: #526619, #535659
   * debian/control:
     - update standards version to 3.8.3.
   * add a debian/README.source.

exo (0.3.101-2) unstable; urgency=low

   * debian/patches:
     - 01_exo-open-ignore-unknown-options added, accept ignore options so it
       can be passed to the called.                              closes: #532422
   * debian/control:
     - add build-dep on quilt
   * debian/rules:
     - use quilt rules.

exo (0.3.101-1) unstable; urgency=low

   * New upstream release.
   * debian/control:
     - move lib to libs section and -dev to libdevel one.

exo (0.3.100-2) unstable; urgency=low

   * Upload to unstable and mark fixed bugs as closed:
     - exo-open correctly parses url with ','.                   closes: #473566
   * debian/control:
     - update standards version to 3.8.1.
     - move packages to section xfce (except -dbg to debug).

exo (0.3.100-1) experimental; urgency=low

   [ Yves-Alexis Perez ]
   [ Xfce 4.6 Alpha “Pinkie”]
   * new upstream alpha release.
   * debian/libexo-0.3-0.shlibs: update shlibs version accordingly.
   * debian/patches:
     - 01_exo-alt-eject.patch removed, included upstream.
     - 02_exo-open.1.patch as well.
     - 03_libexo-teardown-crypto-on-eject.patch too.
   * debian/rules:
     - don't mess with mcs stuff, it doesn't exist anymore.
     - use dh_install --fail-missing.
     - don't use quilt.make.
   * debian/exo-utils.install:
     - don't ship non existant mcs plugins.
 
   [ Xfce 4.6 Beta 1 “Fuzzy”]
   * new upstream beta release
   * debian/control:
     - update build-deps for Fuzzy.
   * debian/libexo-0.3-0.shlibs:
     - update shlibs for Fuzzy.
   * debian/rules:
     - stop messing with config.{guess,sub}.
 
   [ Xfce 4.6 Beta 2 “Hopper”]
   * new upstream beta release
   * debian/libexo-0.3-0.shlibs: bump shlibs for beta 2.
   * debian/control:
     - bump build-deps for “Hopper”.
     - add build-dep on intltool.
 
   [ Xfce 4.6 Beta 3 “Tuco-tuco”]
   * new upstream beta release.
   * debian/control:
     - update build-deps for “Tuco-Tuco”.
     - correct deps for -dev package.
   * debian/libexo-0.3-0.shlibs
     - bump shlibs for 4.5.93.
 
   [ Michael Casadevall ]
   [ Xfce 4.6 Beta 1 “Fuzzy”]
   * Merged exo patches from Ubuntu
   * debian/patches:
     - 04_fix_broken_regex.patch added, adds ^ and $ to url expressions to
       prevent exo from mistaking a directory as an e-mail address and opening
       the wrong helper application. Xfce Bug #4330. LP: #262125.
   * debian/control:
     - Added myself as an upload
     - Added quilt as a build-dep
 
   [ Xfce 4.6 Beta 3 “Tuco-tuco”]
   * debian/patches
     - 04_fix_broken_regex.patch dropped, merged upstream
 
   [ Xfce 4.6 RC1 “Capybara” ]
   * new upstream release candidate.
   * debian/control:
     - bump build-deps for Capybara.
     - bump deps on -dev for Capybara.
     - drop build-dep on quilt.
   * debian/libexo-0.3-0.shlibs:
     - bump shlibs to 0.3.99.1.
   * debian/copyright:
     - update download url.
     - update copyrights.
 
   [ Xfce 4.6 ]
   * new upstream release.
   * debian/control:
     - bump build-deps for 4.6.0.
     - bump deps on -dev for 4.6.0..
   * debian/libexo-0.3-0.shlibs:
     - bump shlibs to 0.3.100.

2008

exo (0.3.4-8) experimental; urgency=low

   * debian/patches:
     - 03_libexo-teardown-crypto-on-eject added, enable disabling an already
       mounted crypto-fs. Thanks Colin Leroy (Xfce #3349).
   * debian/control:
     - updated standards version to 3.8.0. No change needed.
   * debian/rules: rm config.{sub.guess} in clean and copy it in build.

exo (0.3.4-7) unstable; urgency=low

   * debian/control: don't depend on eject on hurd for exo-utils, it's not
     available.
   * switch to triggers:
     - debian/libexo-0.3-0.postinst dropped.
     - debian/control: conflicts against non-triggers-enabled xfce4-mcs-manager.
   * debian/control:
     - remove Rudy Godoy and Martin Loschwitz from Uploaders.
     - drop useless Conficts/Replaces.
     - use correct package name in Conflict/Replaces for exo-utils.

exo (0.3.4-6) unstable; urgency=low

   * debian/patches:
     - 01_exo-alt-eject added, fix optical discs ejection, patch taken from
       Xfce bugzila (#2968)                                      closes: #469425
     - 02_exo-open.1 added, fix a typo in exo-open(1).           closes: #464825
   * debian/control: add build-dep on quilt.
   * debian/rules: include quilt rules.

exo (0.3.4-5) unstable; urgency=low

   * build exo with libnotify support.                           closes: #472255

exo (0.3.4-4) unstable; urgency=low

   * debian/compat: bump debhelper compatibility to 5.
   * debian/control:
     - bump build-dep on debhelper accordingly.
     - add a -dbg binary package.
   * debian/rules: install debugging symbols in -dbg package.
   * debian/libexo-0.3-0.install: we don't have anything in /usr/libexec so
     don't try to ship it.
   * debian/copyrights:
     - update copyrights.
     - use © sign.

exo (0.3.4-3) unstable; urgency=low

   * upload to unstable.
   * provide exo-utils package.                                  closes: #462883

exo (0.3.4-2) experimental; urgency=low

   [ Yves-Alexis Perez ]
   * loosen dependency in shlibs file by removing debian part.
   * debian/libexo-0.3-dev.install: ship exo gtk-doc again
   * debian/copyright: don't ship complete GFDL text.
   * debian/dirs removed as it's useless, thanks Cyril Brulebois.
   * debian/control:
     - updated email address.
     - updated standard versions.
 
   [ Simon Huggins ]
   * Split out utilities into exo-utils
   * Make exo-utils depend on eject for exo-eject's fstab usage when hal isn't
     used.

2007

exo (0.3.4-1) unstable; urgency=low

   [ Simon Huggins ]
   * debian/control: Move fake Homepage field to a real one now dpkg
     supports it.
   * Add Vcs-* headers to debian/control
 
   [ Yves-Alexis Perez ]
   * debian/control: bump build deps to Xfce 4.4.2
   * debian/rules: don't ignore all make errors at clean stage.
   * new upstrem release.

exo (0.3.2-5) unstable; urgency=low

   (Simon Huggins)
   * Use ${binary:Version} so we are binNMU safe.
 
   (Yves-Alexis Perez)
   * debian/control: condition build-dep on libhal-storage-dev so package can
     be built on hurd-i386.                                    closes: #430858
   * debian/libexo-0.3-0.postinst: use kill -s so we don't have problem on hurd.

exo (0.3.2-4) unstable; urgency=low

   * Add muttng handler just like the mutt handler             closes: #402824
   * Depend on liburi-perl for mailto: handling                closes: #421662

exo (0.3.2-3) unstable; urgency=low

   * Upload to unstable.

exo (0.3.2-2) experimental; urgency=low

   (Yves-Alexis Perez)
   * debian/rules:
     - don't ship unused .la files.
     - ship manfiles for exo-(un|)mount and exo-eject.
   * debian/libexo-0.3-0.install: ship pixmaps.
   * debian/copyright: updated copyright holders and added documentation
     license.
 
   (Emanuele Rocca)
   * Meaningful whatis entries added to exo-mount(1), exo-umount(1) and
     exo-eject(1).

exo (0.3.2-1) experimental; urgency=low

   * New upstream release.
   * debian/control:
     - updated build-deps against Xfce 4.4.
     - added build-dep on libhal-storage-dev to enable volume management with
       thunar-volman.
     - added dep on libhal-storage-dev for libexo-0.3-dev.

2006

exo (0.3.1.12rc2-1) unstable; urgency=low

   * New upstream release.
   * debian/control: updated build-deps against Xfce 4.4RC2 (4.3.99.2).

exo (0.3.1.10rc1-1) unstable; urgency=low

   * New upstream release.
   * debian/control: updated build-dep against Xfce 4.4RC1 (4.3.99.1).
   * Preferred applications now appear in Settings Manager.        Closes:#370404

exo (0.3.1.8beta2-3) unstable; urgency=low

   * debian/rules: fix bashism. (thanks Mohammed Adnène Trojette)

exo (0.3.1.8beta2-2) unstable; urgency=low

   (Yves-Alexis Perez)
    * debian/control: build-dep on xfce4-mcs-manager-dev to add preferred
      applications to settings manager.
   (Simon Huggins)
    * Remove bogus rpaths.

exo (0.3.1.8beta2-1) unstable; urgency=low

   * New upstream release.
   * debian/postinst: fixed install on hurd by not using pkill.
   * debian/control: updated standards version to 3.7.2.

exo (0.3.1.6beta1-1) unstable; urgency=low

   (Yves-Alexis Perez)
    * New upstream release
   (Simon Huggins)
    * Remove pointless .la files.

exo (0.3.1.4alpha2-r20235-1) unstable; urgency=low

   (Yves-Alexis Perez)
     * New upstream (alpha2) release
     * Add libexec directory in package
   (Simon Huggins)
     * Add exo-preferred-applications manpage
     * Remove the unneeded .la and .a files for mcs-plugins
     * Move the postinst to only fire for the lib package not the -dev package
       as that's where the mcs-plugins are.
     * Don't depend on gtk-doc-tools let upstream build the docs once.
     * Move the libexecdir from /usr/libexec to /usr/lib/libexo-0.3-0 for
       lintian.
     * Add #DEBHELPER# to the postinst and only run makeshlibs on the lib
       package.
     * Make the exo-preferred-applications system default to
       debian-sensible-browser and debian-x-terminal-emulator.

exo (0.3.1.2alpha-r19548-2) unstable; urgency=low

   * Fixed shlibs so packages gets the correct exo version

exo (0.3.1.2alpha-r19548-1) unstable; urgency=low

   * (Yves-Alexis Perez)
     - New Upstream (alpha) release
 
   * (Jani Monoses)
     - Do not directly Build-depend on libstartup-notification-dev as
       libxfcegui4-dev already depends on it.
     - Add myself to Uploaders list
 
   * (Simon Huggins)
     - Install the docs in the library package not the -dev one.
     - Install THANKS as well as the rest

2005

exo (0.3.0svn+r18845-1) unstable; urgency=low

   * New Upstream (alpha) version
   * Changed package name
   * Added exo-csource manpage

exo (0.3.0-3) unstable; urgency=low

   * Updating control to match new debian policy version.

exo (0.3.0-2) unstable; urgency=low

   * Moving to unstable

exo (0.3.0-1) experimental; urgency=low

   * Initial Release (Closes: #308368).